Get parking spot
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/parking-spots/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/parking-spots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-spots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Parking spots
Get parking spot
Requires read:parking.
GET
/
api
/
v1
/
parking-spots
/
{id}
Get parking spot
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/parking-spots/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/parking-spots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-spots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservedCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"sortOrder": 123,
"tags": [
"<string>"
],
"isLiftSpot": true,
"liftHeight": 123,
"isMotorcycleSpot": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I